Index: main/waeup.sirp/trunk/src/waeup/sirp/payments/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/payments/interfaces.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/payments/interfaces.py	(revision 7321)
@@ -18,14 +18,14 @@
 from zope.interface import Attribute
 from zope import schema
-from waeup.sirp.interfaces import IWAeUPObject
+from waeup.sirp.interfaces import ISIRPObject
 from waeup.sirp.payments.vocabularies import (
     payment_states, payment_categories)
 
-class IPaymentsContainer(IWAeUPObject):
+class IPaymentsContainer(ISIRPObject):
     """A container for all kind of payment objects.
 
     """
 
-class IPayment(IWAeUPObject):
+class IPayment(ISIRPObject):
     """A base representation of payments.
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/payments/vocabularies.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/payments/vocabularies.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/payments/vocabularies.py	(revision 7321)
@@ -18,12 +18,12 @@
 """Vocabularies and sources for payments.
 """
-from waeup.sirp.interfaces import SimpleWAeUPVocabulary
+from waeup.sirp.interfaces import SimpleSIRPVocabulary
 
-payment_states = SimpleWAeUPVocabulary(
+payment_states = SimpleSIRPVocabulary(
     ('Not yet paid','unpaid'),
     ('Paid','paid'),
     )
 
-payment_categories = SimpleWAeUPVocabulary(
+payment_categories = SimpleSIRPVocabulary(
     ('School Fee','schoolfee'),
     ('Clearance','clearance'),
Index: main/waeup.sirp/trunk/src/waeup/sirp/permissions.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/permissions.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/permissions.py	(revision 7321)
@@ -128,11 +128,11 @@
 
 def get_waeup_roles(also_local=False):
-    """Get all WAeUP roles.
-
-    WAeUP roles are ordinary roles whose id by convention starts with
+    """Get all SIRP roles.
+
+    SIRP roles are ordinary roles whose id by convention starts with
     a ``waeup.`` prefix.
 
     If `also_local` is ``True`` (``False`` by default), also local
-    roles are returned. Local WAeUP roles are such whose id starts
+    roles are returned. Local SIRP roles are such whose id starts
     with ``waeup.local.`` prefix (this is also a convention).
 
@@ -141,5 +141,5 @@
     for name, item in get_all_roles():
         if not name.startswith('waeup.'):
-            # Ignore non-WAeUP roles...
+            # Ignore non-SIRP roles...
             continue
         if not also_local and name.startswith('waeup.local.'):
@@ -149,9 +149,9 @@
 
 def get_waeup_role_names():
-    """Get the ids of all WAeUP roles.
-
-    See :func:`get_waeup_roles` for what a 'WAeUPRole' is.
-
-    This function returns a sorted list of WAeUP role names.
+    """Get the ids of all SIRP roles.
+
+    See :func:`get_waeup_roles` for what a 'SIRPRole' is.
+
+    This function returns a sorted list of SIRP role names.
     """
     return sorted([x.id for x in get_waeup_roles()])
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/browser.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/browser.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/browser.py	(revision 7321)
@@ -32,5 +32,5 @@
 from waeup.sirp.accesscodes.workflow import USED
 from waeup.sirp.browser import (
-    WAeUPPage, WAeUPEditFormPage, WAeUPAddFormPage, WAeUPDisplayFormPage,
+    SIRPPage, SIRPEditFormPage, SIRPAddFormPage, SIRPDisplayFormPage,
     ContactAdminForm)
 from waeup.sirp.browser.breadcrumbs import Breadcrumb
@@ -39,5 +39,5 @@
     ManageActionButton, AddActionButton)
 from waeup.sirp.interfaces import (
-    IWAeUPObject, IUserAccount, IExtFileStore, IPasswordValidator, IContactForm)
+    ISIRPObject, IUserAccount, IExtFileStore, IPasswordValidator, IContactForm)
 from waeup.sirp.widgets.datewidget import (
     FriendlyDateWidget, FriendlyDateDisplayWidget,
@@ -155,5 +155,5 @@
         return self.context.level_title
 
-class StudentsContainerPage(WAeUPPage):
+class StudentsContainerPage(SIRPPage):
     """The standard view for student containers.
     """
@@ -188,6 +188,6 @@
         return
 
-class SetPasswordPage(WAeUPPage):
-    grok.context(IWAeUPObject)
+class SetPasswordPage(SIRPPage):
+    grok.context(ISIRPObject)
     grok.name('setpassword')
     grok.require('waeup.Public')
@@ -253,5 +253,5 @@
 
 
-class StudentsContainerManagePage(WAeUPPage):
+class StudentsContainerManagePage(SIRPPage):
     """The manage page for student containers.
     """
@@ -310,5 +310,5 @@
     target = 'addstudent'
 
-class StudentAddFormPage(WAeUPAddFormPage):
+class StudentAddFormPage(SIRPAddFormPage):
     """Add-form to add a student.
     """
@@ -331,5 +331,5 @@
         return
 
-class StudentBaseDisplayFormPage(WAeUPDisplayFormPage):
+class StudentBaseDisplayFormPage(SIRPDisplayFormPage):
     """ Page to display student base data
     """
@@ -406,5 +406,5 @@
     target = 'manage_base'
 
-class StudentBaseManageFormPage(WAeUPEditFormPage):
+class StudentBaseManageFormPage(SIRPEditFormPage):
     """ View to manage student base data
     """
@@ -467,5 +467,5 @@
         return
 
-class StudentClearanceDisplayFormPage(WAeUPDisplayFormPage):
+class StudentClearanceDisplayFormPage(SIRPDisplayFormPage):
     """ Page to display student clearance data
     """
@@ -552,5 +552,5 @@
             self.context.getStudent(), studentview)
 
-class StudentClearanceManageFormPage(WAeUPEditFormPage):
+class StudentClearanceManageFormPage(SIRPEditFormPage):
     """ Page to edit student clearance data
     """
@@ -622,5 +622,5 @@
         return
 
-class StudentPersonalDisplayFormPage(WAeUPDisplayFormPage):
+class StudentPersonalDisplayFormPage(SIRPDisplayFormPage):
     """ Page to display student personal data
     """
@@ -644,5 +644,5 @@
     target = 'edit_personal'
 
-class StudentPersonalManageFormPage(WAeUPEditFormPage):
+class StudentPersonalManageFormPage(SIRPEditFormPage):
     """ Page to edit student clearance data
     """
@@ -660,5 +660,5 @@
         return
 
-class StudyCourseDisplayFormPage(WAeUPDisplayFormPage):
+class StudyCourseDisplayFormPage(SIRPDisplayFormPage):
     """ Page to display the student study course data
     """
@@ -703,5 +703,5 @@
     target = 'manage'
 
-class StudyCourseManageFormPage(WAeUPEditFormPage):
+class StudyCourseManageFormPage(SIRPEditFormPage):
     """ Page to edit the student study course data
     """
@@ -773,5 +773,5 @@
         return
 
-class StudyLevelDisplayFormPage(WAeUPDisplayFormPage):
+class StudyLevelDisplayFormPage(SIRPDisplayFormPage):
     """ Page to display student study levels
     """
@@ -854,5 +854,5 @@
     target = 'manage'
 
-class StudyLevelManageFormPage(WAeUPEditFormPage):
+class StudyLevelManageFormPage(SIRPEditFormPage):
     """ Page to edit the student study level data
     """
@@ -913,5 +913,5 @@
         return
 
-class CourseTicketAddFormPage(WAeUPAddFormPage):
+class CourseTicketAddFormPage(SIRPAddFormPage):
     """Add a course ticket.
     """
@@ -956,5 +956,5 @@
         self.redirect(self.url(self.context))
 
-class CourseTicketDisplayFormPage(WAeUPDisplayFormPage):
+class CourseTicketDisplayFormPage(SIRPDisplayFormPage):
     """ Page to display course tickets
     """
@@ -983,5 +983,5 @@
     target = 'manage'
 
-class CourseTicketManageFormPage(WAeUPEditFormPage):
+class CourseTicketManageFormPage(SIRPEditFormPage):
     """ Page to manage course tickets
     """
@@ -1007,5 +1007,5 @@
 
 # We don't need the display form page yet
-#class PaymentsDisplayFormPage(WAeUPDisplayFormPage):
+#class PaymentsDisplayFormPage(SIRPDisplayFormPage):
 #    """ Page to display the student payments
 #    """
@@ -1028,5 +1028,5 @@
 
 # This manage form page is for both students and students officers.
-class PaymentsManageFormPage(WAeUPEditFormPage):
+class PaymentsManageFormPage(SIRPEditFormPage):
     """ Page to manage the student payments
     """
@@ -1093,5 +1093,5 @@
 #    target = 'manage'
 
-class OnlinePaymentAddFormPage(WAeUPAddFormPage):
+class OnlinePaymentAddFormPage(SIRPAddFormPage):
     """ Page to add an online payment ticket
     """
@@ -1152,5 +1152,5 @@
         return
 
-class OnlinePaymentDisplayFormPage(WAeUPDisplayFormPage):
+class OnlinePaymentDisplayFormPage(SIRPDisplayFormPage):
     """ Page to view an online payment ticket
     """
@@ -1279,5 +1279,5 @@
 
 # We don't need the display form page yet
-#class AccommodationDisplayFormPage(WAeUPDisplayFormPage):
+#class AccommodationDisplayFormPage(SIRPDisplayFormPage):
 #    """ Page to display the student accommodation data
 #    """
@@ -1295,5 +1295,5 @@
 
 # This manage form page is for both students and students officers.
-class AccommodationManageFormPage(WAeUPEditFormPage):
+class AccommodationManageFormPage(SIRPEditFormPage):
     """ Page to manage bed tickets.
     """
@@ -1358,5 +1358,5 @@
     target = 'add'
 
-class BedTicketAddPage(WAeUPPage):
+class BedTicketAddPage(SIRPPage):
     """ Page to add an online payment ticket
     """
@@ -1449,5 +1449,5 @@
         return
 
-class BedTicketDisplayFormPage(WAeUPDisplayFormPage):
+class BedTicketDisplayFormPage(SIRPDisplayFormPage):
     """ Page to display bed tickets
     """
@@ -1576,5 +1576,5 @@
         return
 
-class StudentHistoryPage(WAeUPPage):
+class StudentHistoryPage(SIRPPage):
     """ Page to display student clearance data
     """
@@ -1624,5 +1624,5 @@
         return self.view.url(self.view.context, self.target)
 
-class StudentBaseEditFormPage(WAeUPEditFormPage):
+class StudentBaseEditFormPage(SIRPEditFormPage):
     """ View to edit student base data
     """
@@ -1641,5 +1641,5 @@
         return
 
-class StudentChangePasswordPage(WAeUPEditFormPage):
+class StudentChangePasswordPage(SIRPEditFormPage):
     """ View to manage student base data
     """
@@ -1668,5 +1668,5 @@
         return
 
-class StudentFilesUploadPage(WAeUPPage):
+class StudentFilesUploadPage(SIRPPage):
     """ View to upload files by student
     """
@@ -1701,5 +1701,5 @@
         return self.view.url(self.view.context, self.target)
 
-class StartClearancePage(WAeUPPage):
+class StartClearancePage(SIRPPage):
     grok.context(IStudent)
     grok.name('start_clearance')
@@ -1823,5 +1823,5 @@
         return
 
-class RequestClearancePage(WAeUPPage):
+class RequestClearancePage(SIRPPage):
     grok.context(IStudent)
     grok.name('request_clearance')
@@ -1870,5 +1870,5 @@
         return self.view.url(self.view.context, self.target)
 
-class StartCourseRegistrationPage(WAeUPPage):
+class StartCourseRegistrationPage(SIRPPage):
     grok.context(IStudentStudyCourse)
     grok.name('start_course_registration')
@@ -1939,5 +1939,5 @@
         return self.view.url(self.view.context, self.target)
 
-class AddStudyLevelFormPage(WAeUPEditFormPage):
+class AddStudyLevelFormPage(SIRPEditFormPage):
     """ Page for students to add current study levels
     """
@@ -1995,5 +1995,5 @@
         return self.view.url(self.view.context, self.target)
 
-class StudyLevelEditFormPage(WAeUPEditFormPage):
+class StudyLevelEditFormPage(SIRPEditFormPage):
     """ Page to edit the student study level data by students
     """
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/interfaces.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/interfaces.py	(revision 7321)
@@ -20,5 +20,5 @@
 from zope import schema
 from waeup.sirp.interfaces import (
-    IWAeUPObject, academic_sessions_vocab, validate_email)
+    ISIRPObject, academic_sessions_vocab, validate_email)
 from waeup.sirp.schema import TextLineChoice
 from waeup.sirp.university.vocabularies import CourseSource, study_modes
@@ -56,5 +56,5 @@
         """
 
-class IStudentsContainer(IWAeUPObject):
+class IStudentsContainer(ISIRPObject):
     """A students container contains university students.
 
@@ -95,5 +95,5 @@
         """
 
-class IStudentNavigation(IWAeUPObject):
+class IStudentNavigation(ISIRPObject):
     """Interface needed for student navigation.
 
@@ -104,5 +104,5 @@
         """
 
-class IStudentBase(IWAeUPObject):
+class IStudentBase(ISIRPObject):
     """Representation of student base data.
 
@@ -173,5 +173,5 @@
         )
 
-class IStudentClearance(IWAeUPObject):
+class IStudentClearance(ISIRPObject):
     """Representation of student clearance data.
 
@@ -194,5 +194,5 @@
         )
 
-class IStudentPersonal(IWAeUPObject):
+class IStudentPersonal(ISIRPObject):
     """Representation of student personal data.
 
@@ -228,5 +228,5 @@
         )
 
-class IStudentStudyCourse(IWAeUPObject):
+class IStudentStudyCourse(ISIRPObject):
     """A container for student study levels.
 
@@ -295,5 +295,5 @@
         )
 
-class IStudentStudyLevel(IWAeUPObject):
+class IStudentStudyLevel(ISIRPObject):
     """A container for course tickets.
 
@@ -317,5 +317,5 @@
         )
 
-class ICourseTicket(IWAeUPObject):
+class ICourseTicket(ISIRPObject):
     """A course ticket.
 
@@ -362,10 +362,10 @@
         )
 
-class IStudentAccommodation(IWAeUPObject):
+class IStudentAccommodation(ISIRPObject):
     """A container for student accommodation objects.
 
     """
 
-class IBedTicket(IWAeUPObject):
+class IBedTicket(ISIRPObject):
     """A ticket for accommodation booking.
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/student.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/student.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/student.py	(revision 7321)
@@ -27,5 +27,5 @@
 from waeup.sirp.interfaces import (
     IObjectHistory, IUserAccount, IFileStoreNameChooser, IFileStoreHandler)
-from waeup.sirp.image import WAeUPImageFile
+from waeup.sirp.image import SIRPImageFile
 from waeup.sirp.imagestorage import DefaultFileStoreHandler
 from waeup.sirp.students.interfaces import (
@@ -257,4 +257,4 @@
             StudentFileStoreHandler, self).createFile(
             store, root,  filename, file_id, file)
-        return file, path, WAeUPImageFile(
+        return file, path, SIRPImageFile(
             file_obj.filename, file_obj.data)
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/viewlets.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/viewlets.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/viewlets.py	(revision 7321)
@@ -21,5 +21,5 @@
 from zope.interface import Interface
 from waeup.sirp.interfaces import (
-    IWAeUPObject, IExtFileStore, IFileStoreNameChooser)
+    ISIRPObject, IExtFileStore, IFileStoreNameChooser)
 from waeup.sirp.utils.helpers import string_from_bytes, file_size
 from waeup.sirp.browser import DEFAULT_IMAGE_PATH
@@ -32,5 +32,5 @@
 from waeup.sirp.students.interfaces import IStudent, IStudentClearance
 
-grok.context(IWAeUPObject) # Make IWAeUPObject the default context
+grok.context(ISIRPObject) # Make ISIRPObject the default context
 grok.templatedir('browser_templates')
 
@@ -47,5 +47,5 @@
     grok.baseclass()
     grok.viewletmanager(StudentManageSidebar)
-    grok.context(IWAeUPObject)
+    grok.context(ISIRPObject)
     grok.view(Interface)
     grok.order(5)
@@ -108,5 +108,5 @@
     grok.baseclass()
     grok.viewletmanager(StudentMenu)
-    grok.context(IWAeUPObject)
+    grok.context(ISIRPObject)
     grok.view(Interface)
     grok.order(5)
@@ -162,5 +162,5 @@
     """
 
-    grok.context(IWAeUPObject)
+    grok.context(ISIRPObject)
     grok.order(4)
     grok.require('waeup.viewStudentsTab')
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/vocabularies.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/vocabularies.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/vocabularies.py	(revision 7321)
@@ -25,9 +25,9 @@
 from zc.sourcefactory.basic import BasicSourceFactory
 from zc.sourcefactory.contextual import BasicContextualSourceFactory
-from waeup.sirp.interfaces import SimpleWAeUPVocabulary
+from waeup.sirp.interfaces import SimpleSIRPVocabulary
 from waeup.sirp.students.lgas import LGAS
 from waeup.sirp.university.vocabularies import course_levels
 
-lgas_vocab = SimpleWAeUPVocabulary(
+lgas_vocab = SimpleSIRPVocabulary(
     *sorted([(x[1],x[0]) for x in LGAS]))
 
@@ -71,5 +71,5 @@
         return title
 
-verdicts = SimpleWAeUPVocabulary(
+verdicts = SimpleSIRPVocabulary(
     ('not yet','0'),
     ('Successful student','A'),
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/workflow.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/workflow.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/workflow.py	(revision 7321)
@@ -5,8 +5,8 @@
 from hurry.workflow.interfaces import IWorkflowState, IWorkflowTransitionEvent
 from waeup.sirp.interfaces import (
-    IObjectHistory, IWAeUPWorkflowInfo,
+    IObjectHistory, ISIRPWorkflowInfo,
     CREATED, ADMITTED, CLEARANCE, REQUESTED, CLEARED, PAID, RETURNING,
     REGISTERED, VALIDATED)
-from waeup.sirp.workflow import WAeUPWorkflow, WAeUPWorkflowInfo
+from waeup.sirp.workflow import SIRPWorkflow, SIRPWorkflowInfo
 from waeup.sirp.utils.helpers import get_current_principal
 from waeup.sirp.students.interfaces import IStudent
@@ -152,5 +152,5 @@
 UNLOCK_CLEARANCE_TRANS = ('reset3', 'reset4', 'start_clearance')
 
-registration_workflow = WAeUPWorkflow(REGISTRATION_TRANSITIONS)
+registration_workflow = SIRPWorkflow(REGISTRATION_TRANSITIONS)
 
 class RegistrationWorkflowState(WorkflowState, grok.Adapter):
@@ -163,9 +163,9 @@
     state_id = 'wf.registration.id'
 
-class RegistrationWorkflowInfo(WAeUPWorkflowInfo, grok.Adapter):
+class RegistrationWorkflowInfo(SIRPWorkflowInfo, grok.Adapter):
     """Adapter to adapt Student objects to workflow info objects.
     """
     grok.context(IStudent)
-    grok.provides(IWAeUPWorkflowInfo)
+    grok.provides(ISIRPWorkflowInfo)
 
     def __init__(self, context):
Index: main/waeup.sirp/trunk/src/waeup/sirp/testing.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/testing.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/testing.py	(revision 7321)
@@ -161,5 +161,5 @@
          If you use the Zope testrunner (from :mod:`zope.testing`)
          then you have to use appropriate layers like the
-         :class:`waeup.sirp.testing.WAeUPSIRPUnitTestLayer`.
+         :class:`waeup.sirp.testing.SIRPUnitTestLayer`.
 
     Usage with :mod:`zope.testing` testrunners
@@ -170,5 +170,5 @@
     like the one defined in this module.
 
-    .. seealso:: :class:`waeup.sirp.testing.WAeUPSIRPUnitTestLayer`
+    .. seealso:: :class:`waeup.sirp.testing.SIRPUnitTestLayer`
 
     """
@@ -187,5 +187,5 @@
 
 
-class WAeUPSIRPUnitTestLayer(object):
+class SIRPUnitTestLayer(object):
     """A layer for tests that groks `waeup.sirp`.
 
@@ -210,9 +210,9 @@
 
       import unittest
-      from waeup.sirp.testing import WAeUPSIRPUnitTestLayer
+      from waeup.sirp.testing import SIRPUnitTestLayer
 
       class MyTestCase(unittest.TestCase):
 
-          layer = WAeUPSIRPUnitTestLayer
+          layer = SIRPUnitTestLayer
 
           # per-test setups and real tests go here...
Index: main/waeup.sirp/trunk/src/waeup/sirp/tests/test_interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/tests/test_interfaces.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/tests/test_interfaces.py	(revision 7321)
@@ -48,10 +48,10 @@
         # Register a role not visible to waeup portal as its name does
         # not start with 'waeup.'
-        class NonWAeUPRole(grok.Role):
+        class NonSIRPRole(grok.Role):
             grok.name('nonwaeup.testrole')
             grok.title('Role not suitable for waeup')
             grok.permissions('waeup.Public')
         grok.testing.grok_component('SomeRole', SomeRole)
-        grok.testing.grok_component('NonWAeUPRole', NonWAeUPRole)
+        grok.testing.grok_component('NonSIRPRole', NonSIRPRole)
         return
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/tests/test_objecthistory.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/tests/test_objecthistory.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/tests/test_objecthistory.py	(revision 7321)
@@ -26,10 +26,10 @@
 from zope.security.testing import Principal, Participation
 from waeup.sirp.app import University
-from waeup.sirp.interfaces import IObjectHistory, IWAeUPObject
+from waeup.sirp.interfaces import IObjectHistory, ISIRPObject
 from waeup.sirp.testing import FunctionalTestCase, FunctionalLayer
 from waeup.sirp.objecthistory import ObjectHistory
 
 class SampleObject(grok.Model):
-    grok.implements(IWAeUPObject)
+    grok.implements(ISIRPObject)
     pass
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/certificate.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/certificate.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/certificate.py	(revision 7321)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""WAeUP portal certificates
+"""SIRP certificates
 """
 import grok
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/facultycontainer.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/facultycontainer.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/facultycontainer.py	(revision 7321)
@@ -19,5 +19,5 @@
 from zope.component.interfaces import IFactory
 from zope.interface import implementedBy
-from waeup.sirp.interfaces import IWAeUPSIRPPluggable
+from waeup.sirp.interfaces import ISIRPPluggable
 from waeup.sirp.university.interfaces import IFacultyContainer, IFaculty
 
@@ -51,10 +51,10 @@
     """A plugin that creates a faculty container inside a university.
     """
-    grok.implements(IWAeUPSIRPPluggable)
+    grok.implements(ISIRPPluggable)
     grok.name('faculties')
 
     def setup(self, site, name, logger):
         if 'faculties' in site.keys():
-            logger.warn('Could not create faculty container in WAeUP SIRP.')
+            logger.warn('Could not create faculty container in SIRP.')
             return
         site['faculties'] = FacultyContainer()
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py	(revision 7321)
@@ -20,5 +20,5 @@
 from zope import schema
 from zope.interface import Attribute
-from waeup.sirp.interfaces import (IWAeUPObject, IWAeUPContainer)
+from waeup.sirp.interfaces import (ISIRPObject, ISIRPContainer)
 
 from waeup.sirp.university.vocabularies import (
@@ -32,5 +32,5 @@
 
 
-class IFaculty(IWAeUPContainer):
+class IFaculty(ISIRPContainer):
     """Representation of a university faculty.
     """
@@ -73,5 +73,5 @@
 IFacultyAdd['code'].order =  IFaculty['code'].order
 
-class IFacultyContainer(IWAeUPContainer):
+class IFacultyContainer(ISIRPContainer):
     """A container for faculties.
     """
@@ -80,5 +80,5 @@
 
         """
-class IDepartment(IWAeUPObject):
+class IDepartment(ISIRPObject):
     """Representation of a department.
     """
@@ -124,5 +124,5 @@
 IDepartmentAdd['code'].order =  IDepartment['code'].order
 
-class ICourseContainer(IWAeUPContainer):
+class ICourseContainer(ISIRPContainer):
     """A container for faculties.
     """
@@ -133,5 +133,5 @@
         """
 
-class ICourse(IWAeUPObject):
+class ICourse(ISIRPObject):
     """Representation of a course.
     """
@@ -186,5 +186,5 @@
 ICourseAdd['code'].order =  ICourse['code'].order
 
-class ICertificate(IWAeUPObject):
+class ICertificate(ISIRPObject):
     """Representation of a certificate.
     """
@@ -248,5 +248,5 @@
 ICertificateAdd['code'].order =  ICertificate['code'].order
 
-class ICertificateContainer(IWAeUPContainer):
+class ICertificateContainer(ISIRPContainer):
     """A container for certificates.
     """
@@ -257,5 +257,5 @@
         """
 
-class ICertificateCourse(IWAeUPObject):
+class ICertificateCourse(ISIRPObject):
     """A certificatecourse is referring a course and provides some own
        attributes.
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/tests/test_facultycontainer.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/tests/test_facultycontainer.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/tests/test_facultycontainer.py	(revision 7321)
@@ -90,5 +90,5 @@
         self.assertEqual(
             self._logger_factory.get_messages(),
-            'Could not create faculty container in WAeUP SIRP.\n'
+            'Could not create faculty container in SIRP.\n'
             )
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/vocabularies.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/vocabularies.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/vocabularies.py	(revision 7321)
@@ -21,7 +21,7 @@
 from zope.catalog.interfaces import ICatalog
 from zope.component import getUtility
-from waeup.sirp.interfaces import SimpleWAeUPVocabulary
+from waeup.sirp.interfaces import SimpleSIRPVocabulary
 
-inst_types = SimpleWAeUPVocabulary(
+inst_types = SimpleSIRPVocabulary(
     ('Faculty of','faculty'),
     ('Department of','department'),
@@ -34,5 +34,5 @@
     )
 
-course_levels = SimpleWAeUPVocabulary(
+course_levels = SimpleSIRPVocabulary(
     ('Pre-Studies',0),
     ('100 (Year 1)',100),
@@ -46,5 +46,5 @@
     )
 
-semester = SimpleWAeUPVocabulary(
+semester = SimpleSIRPVocabulary(
     ('N/A', 0),
     ('First Semester', 1),
@@ -53,5 +53,5 @@
     )
 
-application_categories = SimpleWAeUPVocabulary(
+application_categories = SimpleSIRPVocabulary(
     ('PUME, PDE, PCE, PRENCE','basic'),
     ('Part-Time, Diploma, Certificate','cest'),
@@ -60,5 +60,5 @@
     )
 
-study_modes = SimpleWAeUPVocabulary(
+study_modes = SimpleSIRPVocabulary(
     ('UME Full Time','ume_ft'),
     ('Direct Entry Full Time','de_ft'),
Index: main/waeup.sirp/trunk/src/waeup/sirp/userscontainer.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/userscontainer.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/userscontainer.py	(revision 7321)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Users container for the WAeUP portal.
+"""Users container for the SIRP portal.
 """
 import grok
Index: main/waeup.sirp/trunk/src/waeup/sirp/utils/batching.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/utils/batching.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/utils/batching.py	(revision 7321)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""WAeUP components for batch processing.
+"""SIRP components for batch processing.
 
 Batch processors eat CSV files to add, update or remove large numbers
Index: main/waeup.sirp/trunk/src/waeup/sirp/utils/helpers.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/utils/helpers.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/utils/helpers.py	(revision 7321)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""General helper functions for WAeUP.
+"""General helper functions for SIRP.
 """
 import os
Index: main/waeup.sirp/trunk/src/waeup/sirp/utils/importexport.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/utils/importexport.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/utils/importexport.py	(revision 7321)
@@ -22,6 +22,6 @@
 from cStringIO import StringIO
 from zope.interface import Interface
-from waeup.sirp.interfaces import (IWAeUPObject, IWAeUPExporter,
-                                   IWAeUPXMLExporter, IWAeUPXMLImporter)
+from waeup.sirp.interfaces import (ISIRPObject, ISIRPExporter,
+                                   ISIRPXMLExporter, ISIRPXMLImporter)
 
 def readFile(f):
@@ -40,11 +40,11 @@
 
 class Exporter(grok.Adapter):
-    """Export a WAeUP object as pickle.
+    """Export a SIRP object as pickle.
 
     This all-purpose exporter exports attributes defined in schemata
     and contained objects (if the exported thing is a container).
     """
-    grok.context(IWAeUPObject)
-    grok.provides(IWAeUPExporter)
+    grok.context(ISIRPObject)
+    grok.provides(ISIRPExporter)
 
     def __init__(self, context):
@@ -61,5 +61,5 @@
 
 class XMLExporter(grok.Adapter):
-    """Export a WAeUP object as XML.
+    """Export a SIRP object as XML.
 
     This all-purpose exporter exports XML representations of pickable
@@ -67,5 +67,5 @@
     """
     grok.context(Interface)
-    grok.provides(IWAeUPXMLExporter)
+    grok.provides(ISIRPXMLExporter)
 
     def __init__(self, context):
@@ -84,8 +84,8 @@
 
 class XMLImporter(grok.Adapter):
-    """Import a WAeUP object from XML.
+    """Import a SIRP object from XML.
     """
     grok.context(Interface)
-    grok.provides(IWAeUPXMLImporter)
+    grok.provides(ISIRPXMLImporter)
 
     def __init__(self, context):
Index: main/waeup.sirp/trunk/src/waeup/sirp/utils/tests/test_converters.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/utils/tests/test_converters.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/utils/tests/test_converters.py	(revision 7321)
@@ -36,12 +36,12 @@
 from waeup.sirp.utils.converters import IObjectConverter
 from waeup.sirp.utils.helpers import attrs_to_fields
-from waeup.sirp.interfaces import SimpleWAeUPVocabulary
-
-colors = SimpleWAeUPVocabulary(
+from waeup.sirp.interfaces import SimpleSIRPVocabulary
+
+colors = SimpleSIRPVocabulary(
     ('Red', u'red'),
     ('Green', u'green'),
     ('Blue', u'blue'),
     )
-car_nums = SimpleWAeUPVocabulary(
+car_nums = SimpleSIRPVocabulary(
     ('None', 0),
     ('One', 1),
Index: main/waeup.sirp/trunk/src/waeup/sirp/widgets/__init__.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/widgets/__init__.py	(revision 7320)
+++ main/waeup.sirp/trunk/src/waeup/sirp/widgets/__init__.py	(revision 7321)
@@ -1,2 +1,2 @@
-"""JS-driven widgets for WAeUP.
+"""JS-driven widgets for SIRP.
 """
